This is a simple ionic app to show you how to use provider to make request to the server.

You can generate your own provider with the command

```
ionic g provider [providername]
```

This will create a `providers/[providername]/[providername].ts` file. In that file you will make the call to your server. You can read [Accessing Rest With Angular](https://medium.com/codingthesmartway-com-blog/angular-4-3-httpclient-accessing-rest-web-services-with-angular-2305b8fd654b) blog post to learn more. In this case, I added a provider called `api`.

In `src/app/app.module.ts`, I did the following:
1. `import { HttpClientModule } from '@angular/common/http';` to the import statement up top.
2. In the `imports` section, I added `HttpClientModule`.

In `src/pages/home/home.ts`, I did the following:
1. added `import { ApiProvider } from './../../providers/api/api';` on the top of the file
2. added `import { User } from './../../app/users/user';` on the top of the file
3. injected in the `public apiProvider: ApiProvider` in the constructor method
4. Added these two methods to tell the app to make the call to the server when it's initialized:

```
ngOnInit() {
  this.loadUsers();
}

loadUsers() {
  this.apiProvider.getUsers().subscribe(
    data => this.users = data["_embedded"]["users"],
    err => {
        console.log(err);
    });
}
```

https://ionicacademy.com/http-calls-ionic/
https://scotch.io/tutorials/angular-2-http-requests-with-observables
